%finds a coordinate in X1m,Y1M that is closest to X1,Y1
%assumes that distance is constrained along X axis +/- 20 pixels
%requires input coordinates of X1,Y1 to be compared to arrays of X values
%(X1M) and y values (Y1M)
function [newX,newY] = optdist(X1,Y1,X1M,Y1M);
distance1_r = zeros(1,41); %placeholder
[idx, d] = nearestpoint(X1,X1M,'nearest'); %find index of nearest X values
minx = (idx - 20); %create range of indices based on nearest X; since whale is rotated to the X axis constraining by X is appropriate
maxx = (idx + 20);
distance1_r = sqrt((X1-X1M(minx:maxx)).^2+(Y1-Y1M(minx:maxx)).^2); %array of distances
[d2,idx2] = min(distance1_r); %find shortest distance
adj_idx2 = (idx-20-1+idx2);
newX = X1M(adj_idx2);
newY = Y1M(adj_idx2);
end 
