function [fileName,pathName,numfiles] = multifileopen()
[fileName,pathName]= uigetfile( ...
{'*.jpg;*.tif;*.tiff;*.img',...
 'Image Files (*.jpg,*.tif,*.img,*.png)';
   '*.jpg',  'compressed image (*.jpg'; ...
   '*.tif', 'geotiff (*.tif)'; ...
   '*.tiff', '(*.tiff)'; ...
   '*.img','imagine file (*.img)'; ...
   '*.png','portable network graphics file (*.png)';...
   '*.*',  'All Files (*.*)'}, ...
   'Select all Images to be Processed','MultiSelect','on');

fileName = cellstr(fileName); % makes the fileName an array of strings
numfiles = size(fileName);
end 

